LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XAutoTextEntry Interface Referencepublished

identifies an autotext entry. More...

`import"XAutoTextEntry.idl";`

Inheritance diagram for XAutoTextEntry:

## Public Member Functions
void | applyTo ([in] com::sun::star::text::XTextRange xRange)
| inserts the contents represented by this auto text entry at the specified text range. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

identifies an autotext entry.

Deprecated:

## Member Function Documentation

## ◆ applyTo()

void applyTo | ( | [in] com::sun::star::text::XTextRange | xRange | ) |

inserts the contents represented by this auto text entry at the specified text range.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XAutoTextEntry.idl